"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  _easycom_up_popup2();
}
const _easycom_up_popup = () => "../../node-modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  _easycom_up_popup();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-popup-custom",
  props: ["show", "mode", "insetBottom", "round", "closeable", "bgColor", "title"],
  emits: ["close"],
  setup(__props, { emit }) {
    const props = __props;
    const onClose = () => {
      emit("close");
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t((props == null ? void 0 : props.title) || "消息通知"),
        b: common_vendor.o(onClose),
        c: common_vendor.p({
          customStyle: (props == null ? void 0 : props.insetBottom) ? {
            bottom: "calc(env(safe-area-inset-bottom) + 48px)"
          } : {},
          overlayStyle: (props == null ? void 0 : props.insetBottom) ? {
            bottom: "calc(env(safe-area-inset-bottom) + 48px)"
          } : {},
          show: props.show,
          mode: (props == null ? void 0 : props.mode) || "top",
          round: (props == null ? void 0 : props.round) || 0,
          closeable: props == null ? void 0 : props.closeable,
          bgColor: (props == null ? void 0 : props.bgColor) || "transparent"
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-3deba21b"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-popup-custom/hs-popup-custom.vue"]]);
wx.createComponent(Component);
